
$bgTop:'./../static/images/lunar_newyear/content_top_background.jpg';
$bgMid:'./../static/images/lunar_newyear/content_middle_background.jpg';
$bgBot:'./../static/images/lunar_newyear/content_bottom_background.jpg';
$bg3Top:'./../static/images/lunar_newyear/content_3top_background.jpg';
$bg3Bot:'./../static/images/lunar_newyear/content_3bot_background.jpg';
$bg3cut:'./../static/images/lunar_newyear/content_3cut_background.jpg';
$bg3slot:'./../static/images/lunar_newyear/content_3slot_background.jpg';
$characterOver1: './../static/images/lunar_newyear/page1_section_over.png';
$characterOver2: './../static/images/lunar_newyear/page2_section_over.png';
$characterOver3: './../static/images/lunar_newyear/page3_section_over.png';
$bgListPage5: './../static/images/lunar_newyear/page5_list_background.jpg';
$bgListTopPage5: './../static/images/lunar_newyear/page5_list_top_background.jpg';
$bgListMidPage5: './../static/images/lunar_newyear/page5_list_mid_background.jpg';
$bgListBotPage5: './../static/images/lunar_newyear/page5_list_bot_background.jpg';
$bg0: './../static/images/lunar_newyear/background_0.jpg';
$bg1: './../static/images/lunar_newyear/background_1.jpg';
$bg2: './../static/images/lunar_newyear/background_2.jpg';
// page3_section_over.png
// page3_section_over_.png
.page {
    position: relative;
    display: block;
    width: 1105px;
    &--page0main {
        height: 1409px;
        background: no-repeat top center url($bg0);
    }
    &--page1gacha {
        height: 2113px;
        background: no-repeat top center url($bg1);
    }
    &--page2buns {
        height: 2113px;
        background: no-repeat top center url($bg1);
    }
    &--page3reward {
        height: 2113px;
        background: no-repeat top center url($bg2);
    }
    &--page4other {
        height: 2113px;
        background: no-repeat top center url($bg2);
    }
    &--page5announce {
        // height: 2113px;
        background: no-repeat top center url($bg2);
    }

    &__section {
        position: relative;
        display: block;
        width: 100%;
        &--head {
            height: 740px;
            margin: 0px;
        }
        &--pagegacha {
            height: 839px;
            margin-top: 30px;
            &::after {
                content: "";
                user-select: none;
                pointer-events: none;
                position: absolute;
                top: 0px;
                right: 0px;
                display: block;
                width: 174px;
                height: 839px;
                background: no-repeat top center url($characterOver1);
            }

        }
        &--pagebuns {
            // height: 839px;
            margin-top: 30px;
            &::after {
                content: "";
                user-select: none;
                pointer-events: none;
                position: absolute;
                top: 0px;
                left: -90px;
                display: block;
                width: 405px;
                height: 632px;
                background: no-repeat top center url($characterOver2);
            }
        }
        &--pagereward {
            &::after {
                content: "";
                user-select: none;
                pointer-events: none;
                position: absolute;
                top: 0px;
                left: -86px;
                display: block;
                width: 337px;
                height: 887px;
                background: no-repeat top center url($characterOver3);
            }
        }
        &--list {
            display: block;
            width: 1105px;
            min-height: 450px;
            // height: 998px;
            // background: no-repeat center url($bgListPage5);
            background: url($bgListTopPage5) top center no-repeat, url($bgListBotPage5) bottom center no-repeat, url($bgListMidPage5) center;
            .area {
                height: 580px;
            }
        }
    }


    &__content {
        position: relative;
        margin-left: 70px;
        // width: 952px;
        width: 912px;
        padding: 45px 20px;
        background: url($bgTop) top center no-repeat, url($bgBot) bottom center no-repeat, url($bgMid) center;
        &--pagegacha {
            top: 70px;
        }
        &--level {
            // display: grid;
            // grid-template-columns: 298px 316px 298px;
            background: url($bg3Top) top center no-repeat, url($bg3Bot) bottom center no-repeat, url($bg3cut) center 59% no-repeat, url($bg3slot) center;
        }


    }
    &__menu {
        position: relative;
        margin: 0px auto;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        // height: calc(100% - 75px);
        height: 520px;
        flex-wrap: wrap;
        li {
            cursor: pointer;
            display: block;
            width: 210px;
            height: 210px;
            margin: 10px 25px;
            background: no-repeat top center url(./../static/images/lunar_newyear/page0_game_slot.png);
            &:nth-child(1) {
                margin-left: 150px;
            }
            &:nth-child(2) {
                margin-right: 150px;
            }
            .title {
                color: #f9b93e;
                font-weight: bolder;
                font-size: 16px;
                line-height: 50px;
                text-align: center;
                display: block;
                width: 210px;
                height: 50px;
                background: no-repeat top center url(./../static/images/lunar_newyear/page0_game_topic.png);
            }
            .icon {
                position: relative;
                display: flex;
                width: 210px;
                height: 160px;
                justify-content: center;
                align-items: center;
            }
        }
    }
    &__rule {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: center;
        width: fit-content;
        margin: 0px auto;
        li {
            list-style-type: decimal;
        }
    }
    &__header {
        text-align: center;
        color: #f9b93e;
        font-weight: bolder;
        font-size: 26px;
        line-height: 71px;
        position: absolute;
        top: -30px;
        left: 50%;
        transform: translate3d(-50%,0,0);
        margin: 0px auto;
        display: block;
        width: 366px;
        height: 71px;
        background: no-repeat top center url(./../static/images/lunar_newyear/topic_background.png);
    }
    &__btnhome {
        position: absolute;
        top: -10px;
        right: -40px;
        display: block;
        width: 92px;
        height: 92px;
    }
}
.bgBtn {
    background-image: url('./../static/images/lunar_newyear/btn_cicle_background.png') !important;
}
